import { createI18n } from "vue-i18n";
import cn from "/src/lang/cn";
import en from "/src/lang/en";
import { download, post, get } from "/src/utils/request";

const i18n = createI18n({
  legacy: false, // 让 setup 函数可以通过 t 访问
  globalInjection: true, // 让 template 可以像 vue2 那样使用 $t 来访问
  locale: "zh-cn",
  fallbackLocale: "zh-cn",

  messages: {
    "zh-cn": cn,
    "en-us": en,
  },
});

// get('/open/multilingual/getJson',{}).then(res=>{
//   window.localStorage.setItem('lang',res.data)
//   i18n.global.setLocaleMessage('zh-cn', cn)
// })

export default i18n;
